Name:     skulpture

%global forgeurl https://github.com/atolstoy/%{name}
%global commit 187e0c9483d1f9df03e861e1fe2c8465c26cbb7c
%global date 20250425
%forgemeta

Version:  0.3
Release:  3%{?dist}
License:  GPLv3
Summary:  A classic style for Qt5 and Qt6 apps

URL:      %{forgeurl}
Source:   %{forgesource}
# Patch:    0001-Port-config-tool-to-Qt6.patch

BuildRequires: cmake
BuildRequires: extra-cmake-modules

#Qt5
BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: cmake(Qt5Gui)
BuildRequires: qt5-rpm-macros

#KF6
BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6Completion)
BuildRequires: cmake(KF6ConfigWidgets)
BuildRequires: cmake(KF6GuiAddons)
BuildRequires: cmake(KF6TextWidgets)
BuildRequires: cmake(KF6WidgetsAddons)
BuildRequires: cmake(KF6XmlGui)
BuildRequires: kf6-rpm-macros

#Qt6
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Gui)
BuildRequires: qt6-rpm-macros

Requires:      (%{name}-qt5 if qt5-qtbase)
Requires:      (%{name}-qt6 if qt6-qtbase)

%description
This is a re-worked and partially updated code of the original Skulpture style
that was once developed by Christoph Feck. Specifically, this repo is a
continuation of the skulpture-five (a Qt5/KF5 port) branch from 2016.

The purpose of this repo is to provide a working Qt6 port of Skulpture. Even
though it's not a pixel-perfect copy of its namesake for KDE4, it already
provides great consistency between Qt5 and Qt6 apps.

%files
%license     LICENSE COPYING
%doc         AUTHORS BUGS NEWS NOTES README.md VERSION

%{_kf6_datadir}/color-schemes/Skulpture*.colors
%{_kf6_datadir}/kstyle/themes/%{name}.themerc
%{_kf6_datadir}/kxmlgui5/%{name}
%{_kf6_qtplugindir}/kstyle_%{name}_config.so

#-----------------------------------------------------------------------------

%package    qt5
Summary:    A classic style for Qt5 apps

%description qt5
%{summary}

%files qt5
%{_qt5_plugindir}/styles/%{name}.so

#-------------------------------------------------------------------------------

%package    qt6
Summary:    A classic style for Qt6 apps

%description qt6
%{summary}

%files qt6
%{_kf6_qtplugindir}/styles/%{name}.so

#-----------------------------------------------------------------------------

%prep
%forgeautosetup -p1

%build
# Build for Qt 5
%global _vpath_builddir %{_target_platform}-qt5
%cmake -DUSE_QT6=OFF -DUSE_GUI_CONFIG=OFF -B %{_vpath_builddir}
%cmake_build
%undefine _vpath_builddir

# Build for Qt 6
%global _vpath_builddir %{_target_platform}-qt6
%cmake_kf6 -DUSE_QT6=ON -DUSE_GUI_CONFIG=ON -B %{_vpath_builddir}
%cmake_build
%undefine _vpath_builddir

%install
%global _vpath_builddir %{_target_platform}-qt5
%cmake_install
%undefine _vpath_builddir

%global _vpath_builddir %{_target_platform}-qt6
%cmake_install
%undefine _vpath_builddir

mkdir -p %{buildroot}%{_datadir}/kxmlgui5/
mv %{buildroot}/color-schemes %{buildroot}%{_datadir}/color-schemes
mv %{buildroot}/%{name} %{buildroot}%{_datadir}/kxmlgui5/%{name}

%changelog
* Sun Nov 3 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.3-3
- Rebuild for Qt 6.9

* Sun Nov 3 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.3-2
- Fix file location

* Sun Nov 3 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.3-1
- initial package
